Bug 236426 - rndc fails due to missing message catalog files
rndc fails due to missing message catalog files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-13 16:27 EDT by Sigh
Modified: 2013-04-30 19:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: 9.4.1-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 11:59:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sigh 2007-04-13 16:27:11 EDT
Description of problem:

Using 'rndc freeze' (in preparation to edit a dynamic zone file by hand) fails:
rndc: 'freeze' failed: not found

Using strace shows that it gives up after not finding certain catalog files:

open("/usr/share/locale/C/libisccc.cat", O_RDONLY) = -1 ENOENT (No such file or
directory)
open("/usr/share/locale/C/LC_MESSAGES/libisccc.cat", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/share/locale/C/libisccc.cat", O_RDONLY) = -1 ENOENT (No such file or
directory)
open("/usr/share/locale/C/LC_MESSAGES/libisccc.cat", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/share/locale/C/libisc.cat", O_RDONLY) = -1 ENOENT (No such file or
directory)
open("/usr/share/locale/C/LC_MESSAGES/libisc.cat", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/share/locale/C/libisc.cat", O_RDONLY) = -1 ENOENT (No such file or
directory)
open("/usr/share/locale/C/LC_MESSAGES/libisc.cat", O_RDONLY) = -1 ENOENT (No
such file or directory)
--- SIGTERM (Terminated) @ 0 (0) ---

These files are nowhere else on the system, chrooted or otherwise.  Yum was
unable to find any packages containing them.

It may well be an upstream problem, as Debian users are experiencing the same
thing:  htpp://bugs.debian.org/411842


Version-Release number of selected component (if applicable):  bind-9.3.4-1


How reproducible:  Every time.


Steps to Reproduce:
1.  Make sure that other rndc commands work, to rule out configuration errors.
2.  Try freezing a zone with 'rndc freeze name-of-zone'


Additional info:  We are still installing FC6, so I have not been able to test
this there.  If it's an upstream problem I would not expect any changes.
Comment 1 Adam Tkac 2007-04-17 05:17:58 EDT
Still exists in rawhide. Problem is when locale messages catalog can't be opened
(or not exists) rndc immediately exits instead using default english messages.

-A-
Comment 2 Adam Tkac 2007-04-18 07:30:00 EDT
After deeper investigations problem is elsewhere :) When you try "rndc freeze"
or "rndc freeze [zone] in localhost_resolver" zone is freezen succesfully.
named's zone finding was corrupted. Unexists locales don't matter (english is
used when no locale is found). Could be fixed in bind-9.4.0-7.fc7 (avaliable
also on http://people.redhat.com/atkac/bind/)

-A-
Comment 3 Fedora Update System 2007-06-08 11:58:57 EDT
bind-9.4.1-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.